<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_distribution_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_distribution_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_distribution_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>distribution object descriptor as placed in shared memory </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html#a8699147c5f7ae673933fc128e96d2cad">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#a8699147c5f7ae673933fc128e96d2cad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html#af8a979b45b059abdb043535a9beb6f13">num_bins</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source width.  <a href="#af8a979b45b059abdb043535a9beb6f13"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html#a46aed4124f0d54087220eccf00274c55">offset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of columns  <a href="#a46aed4124f0d54087220eccf00274c55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html#a706128e7a9e3e38490fa501a3cefd69b">range</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">scale factor  <a href="#a706128e7a9e3e38490fa501a3cefd69b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html#aa92cb33f2eea0e3053d3bfaf491741f2">num_win</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of windows  <a href="#aa92cb33f2eea0e3053d3bfaf491741f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html#a4d0014adf109b4f4cfe75b9b007dc66a">mem_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">size of buffer pointed to by mem_ptr  <a href="#a4d0014adf109b4f4cfe75b9b007dc66a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__distribution__t.html#a1751208fae568bd616273fc6c76a4f4d">mem_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">matrix memory address  <a href="#a1751208fae568bd616273fc6c76a4f4d"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a8699147c5f7ae673933fc128e96d2cad"></a><!-- doxytag: member="tivx_obj_desc_distribution_t::base" ref="a8699147c5f7ae673933fc128e96d2cad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__distribution__t.html#a8699147c5f7ae673933fc128e96d2cad">tivx_obj_desc_distribution_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="af8a979b45b059abdb043535a9beb6f13"></a><!-- doxytag: member="tivx_obj_desc_distribution_t::num_bins" ref="af8a979b45b059abdb043535a9beb6f13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__distribution__t.html#af8a979b45b059abdb043535a9beb6f13">tivx_obj_desc_distribution_t::num_bins</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source width. </p>
<p>number of rows </p>

</div>
</div>
<a class="anchor" id="a46aed4124f0d54087220eccf00274c55"></a><!-- doxytag: member="tivx_obj_desc_distribution_t::offset" ref="a46aed4124f0d54087220eccf00274c55" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__distribution__t.html#a46aed4124f0d54087220eccf00274c55">tivx_obj_desc_distribution_t::offset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of columns </p>

</div>
</div>
<a class="anchor" id="a706128e7a9e3e38490fa501a3cefd69b"></a><!-- doxytag: member="tivx_obj_desc_distribution_t::range" ref="a706128e7a9e3e38490fa501a3cefd69b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__distribution__t.html#a706128e7a9e3e38490fa501a3cefd69b">tivx_obj_desc_distribution_t::range</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>scale factor </p>

</div>
</div>
<a class="anchor" id="aa92cb33f2eea0e3053d3bfaf491741f2"></a><!-- doxytag: member="tivx_obj_desc_distribution_t::num_win" ref="aa92cb33f2eea0e3053d3bfaf491741f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__distribution__t.html#aa92cb33f2eea0e3053d3bfaf491741f2">tivx_obj_desc_distribution_t::num_win</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of windows </p>

</div>
</div>
<a class="anchor" id="a4d0014adf109b4f4cfe75b9b007dc66a"></a><!-- doxytag: member="tivx_obj_desc_distribution_t::mem_size" ref="a4d0014adf109b4f4cfe75b9b007dc66a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__distribution__t.html#a4d0014adf109b4f4cfe75b9b007dc66a">tivx_obj_desc_distribution_t::mem_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size of buffer pointed to by mem_ptr </p>

</div>
</div>
<a class="anchor" id="a1751208fae568bd616273fc6c76a4f4d"></a><!-- doxytag: member="tivx_obj_desc_distribution_t::mem_ptr" ref="a1751208fae568bd616273fc6c76a4f4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> <a class="el" href="structtivx__obj__desc__distribution__t.html#a1751208fae568bd616273fc6c76a4f4d">tivx_obj_desc_distribution_t::mem_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>matrix memory address </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
